uuagc

Safe Haskell | Safe-Infered

CodeSyntaxDump

# Documentation

sem_CInterface :: CInterface -> T_CInterface

newtype T_CInterface

Constructors

T_CInterface PP_Doc |

data Inh_CInterface

Constructors

Inh_CInterface |

data Syn_CInterface

Constructors

Syn_CInterface |

Fields

pp_Syn_CInterface :: PP_Doc

wrap_CInterface :: T_CInterface -> Inh_CInterface -> Syn_CInterface

sem_CInterface_CInterface :: T_CSegments -> T_CInterface

sem_CNonterminal :: CNonterminal -> T_CNonterminal

newtype T_CNonterminal

Constructors

T_CNonterminal PP_Doc |

data Inh_CNonterminal

Constructors

Inh_CNonterminal |

data Syn_CNonterminal

Constructors

Syn_CNonterminal |

Fields

pp_Syn_CNonterminal :: PP_Doc

wrap_CNonterminal :: T_CNonterminal -> Inh_CNonterminal -> Syn_CNonterminal

sem_CNonterminal_CNonterminal :: NontermIdent -> [Identifier] -> Attributes -> Attributes -> T_CProductions -> T_CInterface -> T_CNonterminal

sem_CNonterminals :: CNonterminals -> T_CNonterminals

newtype T_CNonterminals

Constructors

T_CNonterminals (PP_Doc, [PP_Doc]) |

data Inh_CNonterminals

Constructors

Inh_CNonterminals |

data Syn_CNonterminals

Constructors

Syn_CNonterminals |

Fields

pp_Syn_CNonterminals :: PP_Doc
ppL_Syn_CNonterminals :: [PP_Doc]

wrap_CNonterminals :: T_CNonterminals -> Inh_CNonterminals -> Syn_CNonterminals

sem_CNonterminals_Cons :: T_CNonterminal -> T_CNonterminals -> T_CNonterminals

sem_CNonterminals_Nil :: T_CNonterminals

sem_CProduction :: CProduction -> T_CProduction

newtype T_CProduction

Constructors

T_CProduction PP_Doc |

data Inh_CProduction

Constructors

Inh_CProduction |

data Syn_CProduction

Constructors

Syn_CProduction |

Fields

pp_Syn_CProduction :: PP_Doc

wrap_CProduction :: T_CProduction -> Inh_CProduction -> Syn_CProduction

sem_CProduction_CProduction :: ConstructorIdent -> T_CVisits -> [(Identifier, Type, ChildKind)] -> [Identifier] -> T_CProduction

sem_CProductions :: CProductions -> T_CProductions

newtype T_CProductions

Constructors

T_CProductions (PP_Doc, [PP_Doc]) |

data Inh_CProductions

Constructors

Inh_CProductions |

data Syn_CProductions

Constructors

Syn_CProductions |

Fields

pp_Syn_CProductions :: PP_Doc
ppL_Syn_CProductions :: [PP_Doc]

wrap_CProductions :: T_CProductions -> Inh_CProductions -> Syn_CProductions

sem_CProductions_Cons :: T_CProduction -> T_CProductions -> T_CProductions

sem_CProductions_Nil :: T_CProductions

sem_CRule :: CRule -> T_CRule

newtype T_CRule

Constructors

T_CRule PP_Doc |

data Inh_CRule

Constructors

Inh_CRule |

data Syn_CRule

Constructors

Syn_CRule |

Fields

pp_Syn_CRule :: PP_Doc

wrap_CRule :: T_CRule -> Inh_CRule -> Syn_CRule

sem_CRule_CChildVisit :: Identifier -> NontermIdent -> Int -> Attributes -> Attributes -> Bool -> T_CRule

sem_CRule_CRule :: Identifier -> Bool -> Bool -> NontermIdent -> ConstructorIdent -> Identifier -> Maybe NontermIdent -> Maybe Type -> T_Pattern -> [String] -> Map Int (Identifier, Identifier, Maybe Type) -> Bool -> String -> Set (Identifier, Identifier) -> Bool -> Maybe Identifier -> T_CRule

sem_CSegment :: CSegment -> T_CSegment

newtype T_CSegment

Constructors

T_CSegment PP_Doc |

data Inh_CSegment

Constructors

Inh_CSegment |

data Syn_CSegment

Constructors

Syn_CSegment |

Fields

pp_Syn_CSegment :: PP_Doc

wrap_CSegment :: T_CSegment -> Inh_CSegment -> Syn_CSegment

sem_CSegment_CSegment :: Attributes -> Attributes -> T_CSegment

sem_CSegments :: CSegments -> T_CSegments

newtype T_CSegments

Constructors

T_CSegments (PP_Doc, [PP_Doc]) |

data Inh_CSegments

Constructors

Inh_CSegments |

data Syn_CSegments

Constructors

Syn_CSegments |

Fields

pp_Syn_CSegments :: PP_Doc
ppL_Syn_CSegments :: [PP_Doc]

wrap_CSegments :: T_CSegments -> Inh_CSegments -> Syn_CSegments

sem_CSegments_Cons :: T_CSegment -> T_CSegments -> T_CSegments

sem_CSegments_Nil :: T_CSegments

sem_CVisit :: CVisit -> T_CVisit

newtype T_CVisit

Constructors

T_CVisit PP_Doc |

data Inh_CVisit

Constructors

Inh_CVisit |

data Syn_CVisit

Constructors

Syn_CVisit |

Fields

pp_Syn_CVisit :: PP_Doc

wrap_CVisit :: T_CVisit -> Inh_CVisit -> Syn_CVisit

sem_CVisit_CVisit :: Attributes -> Attributes -> T_Sequence -> T_Sequence -> Bool -> T_CVisit

sem_CVisits :: CVisits -> T_CVisits

newtype T_CVisits

Constructors

T_CVisits (PP_Doc, [PP_Doc]) |

data Inh_CVisits

Constructors

Inh_CVisits |

data Syn_CVisits

Constructors

Syn_CVisits |

Fields

pp_Syn_CVisits :: PP_Doc
ppL_Syn_CVisits :: [PP_Doc]

wrap_CVisits :: T_CVisits -> Inh_CVisits -> Syn_CVisits

sem_CVisits_Cons :: T_CVisit -> T_CVisits -> T_CVisits

sem_CVisits_Nil :: T_CVisits

sem_Pattern :: Pattern -> T_Pattern

newtype T_Pattern

Constructors

T_Pattern (Pattern, PP_Doc) |

data Inh_Pattern

Constructors

Inh_Pattern |

data Syn_Pattern

Constructors

Syn_Pattern |

Fields

copy_Syn_Pattern :: Pattern
pp_Syn_Pattern :: PP_Doc

wrap_Pattern :: T_Pattern -> Inh_Pattern -> Syn_Pattern

sem_Pattern_Alias :: Identifier -> Identifier -> T_Pattern -> T_Pattern

sem_Pattern_Constr :: ConstructorIdent -> T_Patterns -> T_Pattern

sem_Pattern_Irrefutable :: T_Pattern -> T_Pattern

sem_Pattern_Product :: Pos -> T_Patterns -> T_Pattern

sem_Pattern_Underscore :: Pos -> T_Pattern

sem_Patterns :: Patterns -> T_Patterns

newtype T_Patterns

Constructors

T_Patterns (Patterns, PP_Doc, [PP_Doc]) |

data Inh_Patterns

Constructors

Inh_Patterns |

data Syn_Patterns

Constructors

Syn_Patterns |

Fields

copy_Syn_Patterns :: Patterns
pp_Syn_Patterns :: PP_Doc
ppL_Syn_Patterns :: [PP_Doc]

wrap_Patterns :: T_Patterns -> Inh_Patterns -> Syn_Patterns

sem_Patterns_Cons :: T_Pattern -> T_Patterns -> T_Patterns

sem_Patterns_Nil :: T_Patterns

sem_Sequence :: Sequence -> T_Sequence

newtype T_Sequence

Constructors

T_Sequence [PP_Doc] |

data Inh_Sequence

Constructors

Inh_Sequence |

data Syn_Sequence

Constructors

Syn_Sequence |

Fields

ppL_Syn_Sequence :: [PP_Doc]

wrap_Sequence :: T_Sequence -> Inh_Sequence -> Syn_Sequence

sem_Sequence_Cons :: T_CRule -> T_Sequence -> T_Sequence

sem_Sequence_Nil :: T_Sequence

sem_CGrammar :: CGrammar -> T_CGrammar

newtype T_CGrammar

Constructors

T_CGrammar PP_Doc |

data Inh_CGrammar

Constructors

Inh_CGrammar |

data Syn_CGrammar

Constructors

Syn_CGrammar |

Fields

pp_Syn_CGrammar :: PP_Doc

wrap_CGrammar :: T_CGrammar -> Inh_CGrammar -> Syn_CGrammar

sem_CGrammar_CGrammar :: TypeSyns -> Derivings -> Set NontermIdent -> T_CNonterminals -> PragmaMap -> ParamMap -> ContextMap -> QuantMap -> Map NontermIdent (Map ConstructorIdent (Set Identifier)) -> Map NontermIdent (Map ConstructorIdent (Map Identifier (Identifier, [Identifier]))) -> Bool -> T_CGrammar

ppChild :: (Identifier, Type, ChildKind) -> PP_Doc

ppVertexMap :: Map Int (Identifier, Identifier, Maybe Type) -> PP_Doc

ppAttr :: (Identifier, Identifier, Maybe Type) -> PP_Doc

ppBool :: Bool -> PP_Doc

ppMaybeShow :: Show a => Maybe a -> PP_Doc

ppStrings :: [String] -> PP_Doc